
PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
DROP TABLE IF EXISTS [drop_downs] ;
CREATE TABLE [drop_downs] ([mode_data] INTEGER, [text_index] INTEGER, [language_id] INT);

DROP TABLE IF EXISTS user_settings ;
CREATE TABLE user_settings (
  user_id int(5) NOT NULL,
  user_defined_home varchar(500),
  user_defined_main varchar(500)
);

DROP TABLE IF EXISTS "data_key";
CREATE TABLE "data_key"(
	"id"          Integer,
	"language_id" Integer,
	"type"        Text );
INSERT INTO "data_key" VALUES(0,202,'analog');
INSERT INTO "data_key" VALUES(1,2561,'analog');
INSERT INTO "data_key" VALUES(2,2562,'analog');
INSERT INTO "data_key" VALUES(0,202,'digital');
INSERT INTO "data_key" VALUES(1,574,'digital');
INSERT INTO "data_key" VALUES(2,575,'digital');
INSERT INTO "data_key" VALUES(2,558,'sensor');
INSERT INTO "data_key" VALUES(3,559,'sensor');
INSERT INTO "data_key" VALUES(4,1306,'sensor');
INSERT INTO "data_key" VALUES(5,561,'sensor');
INSERT INTO "data_key" VALUES(10,565,'sensor');
INSERT INTO "data_key" VALUES(12,1656,'sensor');
INSERT INTO "data_key" VALUES(0,202,'unit');
INSERT INTO "data_key" VALUES(1,7,'unit');
INSERT INTO "data_key" VALUES(2,NULL,'unit');
INSERT INTO "data_key" VALUES(3,NULL,'unit');
INSERT INTO "data_key" VALUES(4,8,'unit');
INSERT INTO "data_key" VALUES(100,547,'unit');
INSERT INTO "data_key" VALUES(5,NULL,'unit');
INSERT INTO "data_key" VALUES(6,551,'unit');
INSERT INTO "data_key" VALUES(7,552,'unit');
INSERT INTO "data_key" VALUES(8,132,'unit');
INSERT INTO "data_key" VALUES(9,553,'unit');
INSERT INTO "data_key" VALUES(10,779,NULL);
INSERT INTO "data_key" VALUES(11,158,NULL);
INSERT INTO "data_key" VALUES(12,1205,NULL);
INSERT INTO "data_key" VALUES(13,554,NULL);
INSERT INTO "data_key" VALUES(14,555,NULL);
INSERT INTO "data_key" VALUES(15,556,NULL);
INSERT INTO "data_key" VALUES(16,127,NULL);
INSERT INTO "data_key" VALUES(17,NULL,NULL);
INSERT INTO "data_key" VALUES(18,NULL,NULL);
INSERT INTO "data_key" VALUES(19,155,NULL);
INSERT INTO "data_key" VALUES(3,2016,'digital');
INSERT INTO "data_key" VALUES(4,2017,'digital');
INSERT INTO "data_key" VALUES(5,2018,'digital');
INSERT INTO "data_key" VALUES(6,2019,'digital');
INSERT INTO "data_key" VALUES(1,557,'sensor');
INSERT INTO "data_key" VALUES(7,563,'sensor');

DROP TABLE IF EXISTS "global_settings_sensor_types";
CREATE TABLE "global_settings_sensor_types"(
	"input_number" Integer,
	"value" Integer );
INSERT INTO "global_settings_sensor_types" VALUES(202,0);
INSERT INTO "global_settings_sensor_types" VALUES(7,1);
INSERT INTO "global_settings_sensor_types" VALUES(8,4);
INSERT INTO "global_settings_sensor_types" VALUES(547,100);

DROP TABLE IF EXISTS "global_settings_analog_aux_inputs_units_engine";
CREATE TABLE "global_settings_analog_aux_inputs_units_engine"(
	"aux_input" Integer,
	"value"     Text );
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(0,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(1,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(2,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(3,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(4,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(5,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(6,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(7,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(8,'');
INSERT INTO "global_settings_analog_aux_inputs_units_engine" VALUES(9,'');

DROP TABLE IF EXISTS "contacts";
CREATE TABLE "contacts"(
	"contact_id" Integer,
	"email" Text,
	"if_you_need" Text,
	"name" Text,
	"phone" Text );
INSERT INTO "contacts" VALUES(1,'','','','');
INSERT INTO "contacts" VALUES(2,'','','','');
INSERT INTO "contacts" VALUES(3,'','','','');
INSERT INTO "contacts" VALUES(4,'','','','');

DROP TABLE IF EXISTS "software";
CREATE TABLE "software"(
	"version" Text,
	"release" Text );
INSERT INTO "software" VALUES('10.01','10/08/2015');

DROP TABLE IF EXISTS "shared_memory_monitor";
CREATE TABLE "shared_memory_monitor"(
	"data_file" Text,
	"file_item" Text,
	"data_item" Text , "data_file_text" Text, "data_item_text" Text);
DROP TABLE IF EXISTS "temp";
CREATE TABLE "temp"(
	"name" Text );

DROP TABLE IF EXISTS "summer_winter_steps";
CREATE TABLE "summer_winter_steps"(
	"output" Text,
	"step_number" Integer,
	"summer_winter" Integer );

DROP TABLE IF EXISTS "global_settings_ammonia_names_engine";
CREATE TABLE "global_settings_ammonia_names_engine"(
	"name" Text,
	"input_letter" Text
	 , "analog_id" Integer);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 1','A',130);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 2','B',131);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 3','C',132);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 4','D',133);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 5','E',134);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 6','F',135);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 7',NULL,136);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 8','',137);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 9','',138);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 10','',139);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 11','',140);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 12','',141);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 13','',142);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 14','',143);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 15','',144);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 16','',145);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 17','',146);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 18','',147);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 19','',148);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 20','',149);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 21','',150);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 22','',151);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 23','',152);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 24','',153);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 25','',154);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 26','',155);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 27','',156);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 28','',157);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 29','',158);
INSERT INTO "global_settings_ammonia_names_engine" VALUES('Ammonia Input 30','',159);
DROP TABLE IF EXISTS sessions;
CREATE TABLE sessions(
                 sessionId TEXT PRIMARY KEY,
                 id INTEGER REFERENCES users(id),
                 lastAccessTime TEXT);

DROP TABLE IF EXISTS "global_settings_refrigerant_sensors_engine" ;
CREATE TABLE "global_settings_refrigerant_sensors_engine" (
id INTEGER PRIMARY KEY AUTOINCREMENT,
name TEXT
);
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(1,'NH3 Sensor #1');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(2,'NH3 Sensor #2');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(3,'NH3 Sensor #3');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(4,'NH3 Sensor #4');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(5,'NH3 Sensor #5');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(6,'NH3 Sensor #6');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(7,'NH3 Sensor #7');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(8,'NH3 Sensor #8');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(9,'NH3 Sensor #9');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(10,'NH3 Sensor #10');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(11,'NH3 Sensor #11');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(12,'NH3 Sensor #12');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(13,'NH3 Sensor #13');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(14,'NH3 Sensor #14');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(15,'NH3 Sensor #15');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(16,'NH3 Sensor #16');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(17,'NH3 Sensor #17');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(18,'NH3 Sensor #18');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(19,'NH3 Sensor #19');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(20,'NH3 Sensor #20');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(21,'NH3 Sensor #22');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(22,'NH3 Sensor #23');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(23,'NH3 Sensor #24');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(24,'NH3 Sensor #25');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(25,'NH3 Sensor #26');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(26,'NH3 Sensor #27');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(27,'NH3 Sensor #28');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(28,'NH3 Sensor #29');
INSERT INTO "global_settings_refrigerant_sensors_engine" VALUES(29,'NH3 Sensor #30');

DROP TABLE IF EXISTS "languages";
CREATE TABLE "languages"(
	"language_id" Integer,
	"name" Text,
	"english" Text,
    "spanish" Text,
    "portuguese" Text);


DROP TABLE IF EXISTS user_defined;
CREATE TABLE user_defined(
  id INTEGER,
  user_id TEXT, language_id INT, zone INT, page VARCHAR(100),
  unit Text,
  PRIMARY KEY(id, user_id, zone, page),
  FOREIGN KEY (user_id) REFERENCES users(user_id),
  FOREIGN KEY (language_id) REFERENCES languages(language_id));

DROP TABLE IF EXISTS "trending_engine";
CREATE TABLE "trending_engine"(
	"analog_data" Integer,
	"language_id" Integer,
	"text_index"  Integer,
	"zone"        Integer , "id" Integer);

DROP TABLE IF EXISTS trending_real_time_engine;
CREATE TABLE trending_real_time_engine(
        language_id Integer,
        analog_data Integer,
        unit Text,
        text_index Integer );


DROP TABLE IF EXISTS equipment;
CREATE TABLE equipment(
product_name TEXT,
ip TEXT UNIQUE,
port VARCHAR(10),
type_name VARCHAR(25),
external_address TEXT);

DROP TABLE IF EXISTS equipment_components ;
CREATE TABLE equipment_components (
host_id INTEGER,
component_name TEXT,
type_name VARCHAR(25),
CONSTRAINT component UNIQUE(host_id, type_name),
FOREIGN KEY(host_id) REFERENCES equipment(rowid));

DROP TABLE IF EXISTS test_panel_ips;
CREATE TABLE test_panel_ips (
type_name VARCHAR(25),
test_letter CHARACTER(1),
ip TEXT
);
INSERT INTO test_panel_ips VALUES('compressor',       'A', '10.14.228.114');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'A', '10.14.228.116');
INSERT INTO test_panel_ips VALUES('evaporator',       'A', '10.14.228.117');
INSERT INTO test_panel_ips VALUES('engine_room',      'A', '10.14.228.118');
INSERT INTO test_panel_ips VALUES('compressor',       'B', '10.14.228.119');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'B', '10.14.228.121');
INSERT INTO test_panel_ips VALUES('evaporator',       'B', '10.14.228.122');
INSERT INTO test_panel_ips VALUES('engine_room',      'B', '10.14.228.128');



DROP TABLE IF EXISTS "global_settings_ventfans_names_engine";
CREATE TABLE "global_settings_ventfans_names_engine"(
	"name" Text,
	"input_letter" Text,
	"analog_id" Integer );
INSERT INTO "global_settings_ventfans_names_engine" VALUES('Ventilation Fan A','A',NULL);
INSERT INTO "global_settings_ventfans_names_engine" VALUES('Ventilation Fan B','B',NULL);
INSERT INTO "global_settings_ventfans_names_engine" VALUES('Ventilation Fan C','C',NULL);
INSERT INTO "global_settings_ventfans_names_engine" VALUES('Ventilation Fan D','D',NULL);

DROP TABLE IF EXISTS "global_settings_digital_aux_inputs_engine";
CREATE TABLE "global_settings_digital_aux_inputs_engine"(
	"id"           Integer,
	"input_letter" Text,
	"input_number" Integer,
	"name"         Text );
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(1,'A',956,'Digital Aux Input A');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(2,'B',957,'Digital Aux Input B');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(3,'C',958,'Digital Aux Input C');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(4,'D',1733,'Digital Aux Input D');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(5,'E',1734,'Digital Aux Input E');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(6,'F',1735,'Digital Aux Input F');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(7,'G',1736,'Digital Aux Input G');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(8,'H',1737,'Digital Aux Input H');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(9,'I',1738,'Digital Aux Input I');
INSERT INTO "global_settings_digital_aux_inputs_engine" VALUES(10,'J',1739,'Digital Aux Input J');
DROP TABLE IF EXISTS global_settings_pid_names_engine;
CREATE TABLE global_settings_pid_names_engine(
       name TEXT,
       input_letter VARCHAR(2),
       id INTEGER PRIMARY KEY AUTOINCREMENT

);
INSERT INTO "global_settings_pid_names_engine" VALUES('P/I Control A','A',1);
INSERT INTO "global_settings_pid_names_engine" VALUES('P/I Control B','B',2);
INSERT INTO "global_settings_pid_names_engine" VALUES('P/I Control C','C',3);
INSERT INTO "global_settings_pid_names_engine" VALUES('P/I Control D','D',4);

DROP TABLE IF EXISTS global_settings_analog_aux_inputs_engine;
CREATE TABLE global_settings_analog_aux_inputs_engine(
name TEXT,
input_letter TEXT,
input_number INTEGER,
analog_id INTEGER,
aux_input INTEGER PRIMARY KEY AUTOINCREMENT
);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux A','A',956,40,1);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux B','B',957,41,2);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux C','C',958,42,3);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux D','D',1733,43,4);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux E','E',1734,44,5);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux F','F',1735,45,6);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux G','G',1736,46,7);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux H','H',1737,47,8);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux I','I',1738,48,9);
INSERT INTO "global_settings_analog_aux_inputs_engine" VALUES('Analog Aux J','J',1739,49,10);

DROP TABLE IF EXISTS "global_settings_refrigerant_detectors_engine";
CREATE TABLE "global_settings_refrigerant_detectors_engine"(name TEXT);
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector A');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector B');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector C');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector D');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector E');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector F');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector G');
INSERT INTO "global_settings_refrigerant_detectors_engine" VALUES('Refrigerant Detector H');

DROP TABLE IF EXISTS global_settings_underfloor_temps_engine ;
CREATE TABLE global_settings_underfloor_temps_engine (
id INTEGER PRIMARY KEY AUTOINCREMENT,
name TEXT);
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(1,'Underfloor Temp A');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(2,'Underfloor Temp B');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(3,'Underfloor Temp C');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(4,'Underfloor Temp D');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(5,'Underfloor Temp E');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(6,'Underfloor Temp F');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(7,'Underfloor Temp G');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(8,'Underfloor Temp H');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(9,'Underfloor Temp I');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(10,'Underfloor Temp J');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(11,'Underfloor Temp K');
INSERT INTO "global_settings_underfloor_temps_engine" VALUES(12,'Underfloor Temp L');

DROP TABLE IF EXISTS "freeze_data_engine";
CREATE TABLE "freeze_data_engine"(
	"freeze_id" Integer PRIMARY KEY,
  "table_id"  Integer,
	"selected"  Boolean,
  "ordinal"   Integer);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(143, 0, 1, 1);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(553, 0, 1, 2);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(144, 0, 0, 3);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(145, 0, 0, 4);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(146, 0, 0, 5);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(147, 0, 0, 6);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4448, 0, 0, 7);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4449, 0, 0, 8);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4450, 0, 0, 9);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4451, 0, 0, 10);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4373, 0, 1, 11);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4374, 0, 1, 12);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4375, 0, 1, 13);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4376, 0, 1, 14);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(150, 0, 1, 15);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(151, 0, 1, 16);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(152, 0, 1, 17);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(153, 0, 1, 18);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4363, 0, 1, 19);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4364, 0, 1, 20);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4365, 0, 1, 21);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4366, 0, 1, 22);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4367, 0, 1, 23);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4368, 0, 1, 24);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4370, 0, 1, 26);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4369, 0, 1, 25);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4418, 0, 1, 27);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(4419, 0, 1, 28);

INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(319, 0, 1, 47);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(320, 0, 1, 48);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(321, 0, 1, 49);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(322, 0, 1, 50);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(323, 0, 1, 51);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(324, 0, 1, 52);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(325, 0, 1, 53);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(326, 0, 1, 54);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(327, 0, 1, 55);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(328, 0, 1, 56);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(180, 0, 1, 57);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(181, 0, 1, 58);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(182, 0, 1, 59);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(183, 0, 1, 60);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2534, 0, 1, 61);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2535, 0, 1, 62);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2536, 0, 1, 63);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2537, 0, 1, 64);


INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2917, 0, 0, 80);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2918, 0, 0, 81);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2919, 0, 0, 82);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2920, 0, 0, 83);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2921, 0, 0, 84);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2922, 0, 0, 85);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2923, 0, 0, 86);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2924, 0, 0, 87);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2925, 0, 0, 88);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2926, 0, 0, 89);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2927, 0, 0, 90);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2928, 0, 0, 91);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2929, 0, 0, 92);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2930, 0, 0, 93);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2931, 0, 0, 94);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2932, 0, 0, 95);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2933, 0, 0, 96);
INSERT INTO "freeze_data_engine" ("freeze_id","table_id","selected","ordinal") VALUES(2934, 0, 0, 97);


DROP TABLE IF EXISTS user_actions;
CREATE TABLE user_actions(
       user_id TEXT,
       action_data TEXT,
       time_stamp TIMESTAMP,
       FOREIGN KEY(user_id) REFERENCES users(id));


DROP TABLE IF EXISTS "global_settings_smtp_auth";
CREATE TABLE "global_settings_smtp_auth"(
	"authid" Integer NOT NULL PRIMARY KEY AUTOINCREMENT,
	"option" Text , "selected" Integer);
INSERT INTO "global_settings_smtp_auth" VALUES(1,'tls',1);
INSERT INTO "global_settings_smtp_auth" VALUES(2,'ssl',0);

DROP TABLE IF EXISTS "global_settings_smtp_settings";
CREATE TABLE "global_settings_smtp_settings"(
	"from_address" Text,
	"host"         Text,
	"password"     Text,
	"port"         Text,
	"timeOccured"  DateTime,
	"username"     Text );
INSERT INTO "global_settings_smtp_settings" VALUES('','','','','','');

DROP TABLE IF EXISTS "global_settings_notifications";
CREATE TABLE "global_settings_notifications"(
	"level" Integer,
	"sec_group" Integer );


DROP TABLE IF EXISTS meta;
CREATE TABLE meta(
       version DOUBLE
);
INSERT INTO meta VALUES(6.0);

DROP TABLE IF EXISTS local_host_configs;
CREATE TABLE local_host_configs(
       url TEXT,
       user_defined_name TEXT,
       product_type VARCHAR(25)
);
INSERT INTO local_host_configs VALUES('', 'engine_room', 'engine_room');

DROP TABLE IF EXISTS local_host_components;
CREATE TABLE local_host_components(
       user_defined_name TEXT,
       product_type VARCHAR(25)
);

DROP TABLE IF EXISTS mode_ordinals;
CREATE TABLE mode_ordinals(
       mode_data Integer,
       text_index Integer,
       ordinal Integer
);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 1, 1);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 2, 2);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 3, 3);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 4, 4);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 5, 5);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 6, 6);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 7, 11);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 8, 12);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 9, 15);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 10, 16);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 11, 17);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 12, 18);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 13, 19);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 14, 20);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 15, 21);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 16, 22);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 17, 23);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 18, 24);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 19, 25);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 20, 26);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 21, 13);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 22, 14);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 33, 7);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 34, 8);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 35, 9);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 36, 10);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 38, 27);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 39, 28);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 40, 47);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 41, 48);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 42, 49);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 43, 50);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 44, 51);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 45, 52);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 46, 53);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 47, 54);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 48, 55);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 49, 56);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 51, 29);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 52, 30);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 53, 31);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 54, 32);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 55, 33);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 56, 34);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 57, 35);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 58, 36);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 59, 37);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 60, 38);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 61, 39);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 62, 40);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 63, 41);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 64, 42);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 65, 43);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 66, 44);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 67, 45);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(496, 68, 46);

INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 1, 1);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 2, 2);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 3, 3);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 4, 4);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 5, 5);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 6, 6);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 7, 11);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 8, 12);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 9, 15);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 10, 16);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 11, 17);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 12, 18);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 13, 19);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 14, 20);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 15, 21);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 16, 22);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 17, 23);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 18, 24);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 19, 25);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 20, 26);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 21, 13);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 22, 14);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 33, 7);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 34, 8);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 35, 9);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 36, 10);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 38, 27);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 39, 28);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 40, 47);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 41, 48);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 42, 49);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 43, 50);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 44, 51);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 45, 52);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 46, 53);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 47, 54);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 48, 55);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 49, 56);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 51, 29);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 52, 30);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 53, 31);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 54, 32);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 55, 33);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 56, 34);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 57, 35);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 58, 36);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 59, 37);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 60, 38);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 61, 39);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 62, 40);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 63, 41);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 64, 42);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 65, 43);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 66, 44);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 67, 45);
INSERT INTO mode_ordinals (mode_data, text_index, ordinal) VALUES(669, 68, 46);

DROP INDEX IF EXISTS "drop_downsIdx";
DROP INDEX IF EXISTS "data_keyIdx";
DROP INDEX IF EXISTS [idx_data_key];
DROP INDEX IF EXISTS "idx_languages";
DROP INDEX IF EXISTS "languagesIdx";
DROP INDEX IF EXISTS "index_authid";


CREATE INDEX "drop_downsIdx" ON "drop_downs"( "mode_data", "language_id" );
CREATE INDEX "data_keyIdx" ON "data_key"( "language_id", "type" );
CREATE INDEX [idx_data_key] ON [data_key] ([id] ASC);
CREATE INDEX "idx_languages" ON "languages"( "language_id" );
CREATE INDEX "languagesIdx" ON "languages"( "name" );
CREATE INDEX "index_authid" ON "global_settings_smtp_auth"( "authid" );

DROP TABLE IF EXISTS "global_settings_recip_compressors";
CREATE TABLE "global_settings_recip_compressors"(
	"name" Text,
	"id" Text NOT NULL,
	"letter" Text,
CONSTRAINT "unique_id" UNIQUE ( "id" ) );


INSERT INTO "global_settings_recip_compressors" ("name","id","letter") VALUES ( 'Compressor A','1','A' );
INSERT INTO "global_settings_recip_compressors" ("name","id","letter") VALUES ( 'Compressor B','2','B' );
INSERT INTO "global_settings_recip_compressors" ("name","id","letter") VALUES ( 'Compressor C','3','C' );
INSERT INTO "global_settings_recip_compressors" ("name","id","letter") VALUES ( 'Compressor D','4','D' );
INSERT INTO "global_settings_recip_compressors" ("name","id","letter") VALUES ( 'Compressor E','5','E' );
INSERT INTO "global_settings_recip_compressors" ("name","id","letter") VALUES ( 'Compressor F','6','F' );


DROP TABLE IF EXISTS "global_settings_underfloor_names";
CREATE TABLE "global_settings_underfloor_names"(
	"input_letter" Text,
	"name" Text );

INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('A', 'Underfloor Temp. A');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('B', 'Underfloor Temp. B');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('C', 'Underfloor Temp. C');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('D', 'Underfloor Temp. D');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('E', 'Underfloor Temp. E');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('F', 'Underfloor Temp. F');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('G', 'Underfloor Temp. G');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('H', 'Underfloor Temp. H');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('I', 'Underfloor Temp. I');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('J', 'Underfloor Temp. J');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('K', 'Underfloor Temp. K');
INSERT INTO "global_settings_underfloor_names" ("input_letter", "name") VALUES ('L', 'Underfloor Temp. L');

CREATE TABLE uniqueID(id Text);
INSERT INTO uniqueID VALUES('');

COMMIT;
