function Alarms(clearAddress, clearHistoryAddress, silenceAddress, statusAddress, settings) {
    this.clearAddress = clearAddress;
    this.clearHistoryAddress = clearHistoryAddress;
    this.silenceAddress = silenceAddress;
    this.statusAddress = statusAddress;
    if (settings != null) {
        this.onClear = settings.onClear || function(){location.reload(true); };
    } else {
        this.onClear = function(){location.reload(true); };
    }
    this.watchSocket = null;
    
}


Alarms.prototype.SilenceAlarms = function() {
    var data = {
        type: 'write',
        values:[
            {
                name: "alarm-silence",
                address: this.silenceAddress
            }
        ]
    };

    console.log("silence alarms", data);

    wsWrite(data);


};


Alarms.prototype.ClearAlarms = function() {

    var address = this.clearAddress;
    this.SendClear(address);
    
};





Alarms.prototype.ClearHistory = function () {
    var address = this.clearHistoryAddress;
    this.SendClear(address);
    


};



Alarms.prototype.SendClear = function (address) {
    $.ajax({
        url : "/alarms/clearAlarms/"+address,
        type: "POST",
        data : "",
        success: function(data, textStatus, jqXHR)
        {
            setTimeout(function(){location.reload()}, 3000);

        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            setTimeout(function(){location.reload()}, 3000);
        }
    });
    
};


Alarms.prototype.WatchAlarms = function(currAlarmStatus) {
    var statusAddress = this.statusAddress;
    console.log(currAlarmStatus);
   this.watchSocket =  wsRead(statusAddress, {

        onmessage: function(conn, responseData) {
            console.log(responseData);
            if (responseData.values.length > 0) {
                
                var value = responseData.values[0].value;
                if (value != currAlarmStatus) {
                    conn.close();
                    location.reload(true);
                }

            }

        }
    });
};

Alarms.prototype.ShowFreezeScreen = function(fn) {
    fn();
};
